# Uses of Interface
jebl.evolution.coalescent.IntervalList

Packages that use IntervalList
Package
Description
jebl.evolution.coalescent

## Uses of IntervalList in jebl.evolution.coalescent

Classes in jebl.evolution.coalescent that implement IntervalList
Modifier and Type
Class
Description
`class`
`Intervals`
A concrete class for a set of coalescent intevals.
Methods in jebl.evolution.coalescent with parameters of type IntervalList
Modifier and Type
Method
Description
`static final double`
Coalescent.`calculateAnalyticalLogLikelihood(IntervalList intervals)`
Calculates the log likelihood of this set of coalescent intervals, using an analytical integration over theta.
`static final double`
Coalescent.`calculateLogLikelihood(IntervalList intervals, DemographicFunction demographicFunction)`
Calculates the log likelihood of this set of coalescent intervals, given a demographic model.
`static int`
IntervalList.Utils.`getLineageCount(IntervalList intervals, double t)`
Constructors in jebl.evolution.coalescent with parameters of type IntervalList
Modifier
Constructor
Description
``
`Coalescent(IntervalList intervals, DemographicFunction demographicFunction)`